MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025222Open CASCADE[OCCT] OCCT:Visualizationpublic2014-09-07 15:572015-05-14 15:32
Reporterdbp 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025222: Visualization - provide distance field builder in the Math/BVH package
DescriptionA distance field is a representation where, at each point within the field, the distance from that point to the closest point on the object is specified. In addition to distance, other properties may be derived from the distance field, such as the direction to the surface, and when the distance field is signed, we may also determine if the point is internal or external to objects within the domain. The distance field has been found to be a useful construction within the areas of computer vision, physics, and computer graphics. In particular, distance fields can be used for generating realistic visual effects and collision detection.
Steps To ReproduceDear bugmaster,

compilation warnings were removed. Please re-test the patch in branch CR25222_1.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0031435)
git (administrator)
2014-09-07 16:03

Branch CR25222 has been created by dbp.

SHA-1: 170a0d35df755e46781f7fb6f8511dfd3bfedc8f


Detailed log of new commits:

Author: dbp
Date: Sun Sep 7 16:02:23 2014 +0400

    0025222: Visualization: Implementing distance field builder in the Math/BVH package
    
    A distance field is a representation where, at each point within the field, the distance from that point to the closest point on the object is specified. In addition to distance, other properties may be derived from the distance field, such as the direction to the surface, and when the distance field is signed, we may also determine if the point is internal or external to objects within the domain. The distance field has been found to be a useful construction within the areas of computer vision, physics, and computer graphics. In particular, distance fields can be used for generating realistic visual effects and collision detection.
(0031436)
dbp (developer)
2014-09-07 16:06

Dear kgv,

please review the patch in branch CR25222.
(0031437)
kgv (developer)
2014-09-08 09:25

+    if (aABdotAP <= 0.f && aACdotAP <= 0.f)

it seems all appearances of 0.f should be replaced by static_cast<T> (0).

+  //purpose  : Computes squared distance from point to BVH triangulation
+  //=======================================================================
+  template<class T, int N>
+  T DistanceToObject (BVH_Object<T, N>* theObject,

probably better to name function SquaredDistanceToObject() to reflect it return value.
(0031710)
git (administrator)
2014-09-15 16:10

Branch CR25222 has been updated by dbp.

SHA-1: 69a617b9477479268385ebf06e5e57c015c39934


Detailed log of new commits:

Author: dbp
Date: Mon Sep 15 16:09:37 2014 +0400

    Cosmetics.

(0031711)
dbp (developer)
2014-09-15 16:11

Dear abv,

kgv's remarks were taken into account. Please review the patch in branch CR25222.
(0032961)
git (administrator)
2014-10-10 12:31

Branch CR25222_1 has been created by dbp.

SHA-1: 630ccbf4f09652fd096094af23dfabfcb51628b1


Detailed log of new commits:

Author: dbp
Date: Fri Oct 10 12:31:14 2014 +0400

    0025222: Visualization - provide distance field builder in the Math/BVH package
    
    A distance field is a representation where, at each point within the field, the distance from that point to the closest point on the object is specified. In addition to distance, other properties may be derived from the distance field, such as the direction to the surface, and when the distance field is signed, we may also determine if the point is internal or external to objects within the domain. The distance field has been found to be a useful construction within the areas of computer vision, physics, and computer graphics. In particular, distance fields can be used for generating realistic visual effects and collision detection.
(0032962)
dbp (developer)
2014-10-10 12:32

Dear abv,

the patch was rebased on current IR. Please reviw in branch CR25222_1.
(0034903)
abv (manager)
2014-12-02 10:56

No remarks, please integrate (no testing is needed, just check compilation)
(0034908)
git (administrator)
2014-12-02 12:06

Branch CR25222_1 has been updated forcibly by mkv.

SHA-1: 6600ac3d9a31175c6fb5e7e36e96264f95c11c00
(0034931)
mkv (tester)
2014-12-02 15:52

Branch CR25222_1 was rebased on current master of occt git-repository.
(0034932)
mkv (tester)
2014-12-02 15:52

Dear BugMaster,
Branch CR25222_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: 6600ac3d9a31175c6fb5e7e36e96264f95c11c00

Number of compiler warnings:

occt component :
Linux: 27 (18 on master)
Windows: 0 (0 on master)

There are new additional compilation warnings on Linux platform:
http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_17008/job/mnt-CR25222_1-master_build_occt_linux/1/warnings16Result/package.-671474530/file.309675303/ [^]

BVH_DistanceField.lxx:422, GNU C Compiler 4 (gcc), Priority: Normal
‘BVH_Geometry<double, 4>* BVH_ParallelDistanceFieldBuilder<double, 4>::myGeometry’
BVH_DistanceField.lxx:422, GNU C Compiler 4 (gcc), Priority: Normal
‘BVH_Geometry<float, 4>* BVH_ParallelDistanceFieldBuilder<float, 4>::myGeometry’
BVH_DistanceField.lxx:422, GNU C Compiler 4 (gcc), Priority: Normal
‘BVH_Geometry<double, 3>* BVH_ParallelDistanceFieldBuilder<double, 3>::myGeometry’
BVH_DistanceField.lxx:422, GNU C Compiler 4 (gcc), Priority: Normal
‘BVH_Geometry<float, 3>* BVH_ParallelDistanceFieldBuilder<float, 3>::myGeometry’
BVH_DistanceField.lxx:425, GNU C Compiler 4 (gcc), Priority: Normal
‘BVH_ParallelDistanceFieldBuilder<double, 3>::myOutField’ will be initialized after
BVH_DistanceField.lxx:425, GNU C Compiler 4 (gcc), Priority: Normal
‘BVH_ParallelDistanceFieldBuilder<double, 4>::myOutField’ will be initialized after
BVH_DistanceField.lxx:425, GNU C Compiler 4 (gcc), Priority: Normal
‘BVH_ParallelDistanceFieldBuilder<float, 3>::myOutField’ will be initialized after
BVH_DistanceField.lxx:425, GNU C Compiler 4 (gcc), Priority: Normal
‘BVH_ParallelDistanceFieldBuilder<float, 4>::myOutField’ will be initialized after
BVH_DistanceField.lxx:429, GNU C Compiler 4 (gcc), Priority: Normal
when initialized here

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)
(0035562)
git (administrator)
2014-12-22 16:58

Branch CR25222_1 has been updated by dbp.

SHA-1: 088bc0c9a41a6f6eb1385f106ac8cc3ee2509416


Detailed log of new commits:

Author: dbp
Date: Mon Dec 22 16:58:26 2014 +0300

    Fix compilation warning when using GCC.

(0035733)
git (administrator)
2014-12-25 17:06

Branch CR25222_1 has been updated forcibly by mkv.

SHA-1: cb34e466693bea9316526d877f6982adda5fb1ab
(0035834)
mkv (tester)
2014-12-29 15:09

Dear BugMaster,
Branch CR25222_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: cb34e466693bea9316526d877f6982adda5fb1ab

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 367586208 / 367914368
Total CPU difference: 51081.109999999964 / 51486.65000000016
products component :
Total MEMORY difference: 112257228 / 112529744
Total CPU difference: 16986.50999999998 / 16876.739999999983

Testing on Windows:
occt component :
Total MEMORY difference: 277574428 / 277277864
Total CPU difference: 35747.296875 / 37472.0935757
products component :
Total MEMORY difference: 72258088 / 71382268
Total CPU difference: 11420.03125 / 10342.656534399997

There are no differences in images found by testdiff.
(0036545)
git (administrator)
2015-01-26 12:33

Branch CR25222_1 has been deleted by inv.

SHA-1: cb34e466693bea9316526d877f6982adda5fb1ab
(0036635)
git (administrator)
2015-01-26 12:38

Branch CR25222 has been deleted by inv.

SHA-1: 69a617b9477479268385ebf06e5e57c015c39934

- Related Changesets
occt: master df932fdf
Timestamp: 2015-01-15 11:33:23
Author: dbp
Committer: bugmaster
Details ] Diff ]
0025222: Visualization - provide distance field builder in the Math/BVH package

A distance field is a representation where, at each point within the field, the distance from that point to the closest point on the object is specified.
In addition to distance, other properties may be derived from the distance field, such as the direction to the surface, and when the distance field is signed, we may also determine if the point is internal or external to objects within the domain.
The distance field has been found to be a useful construction within the areas of computer vision, physics, and computer graphics. In particular, distance fields can be used for generating realistic visual effects and collision detection.

Fix compilation warning when using GCC.
mod - src/BVH/BVH.cxx Diff ] File ]
add - src/BVH/BVH_DistanceField.hxx Diff ] File ]
add - src/BVH/BVH_DistanceField.lxx Diff ] File ]
mod - src/BVH/FILES Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-09-07 15:57 dbp New Issue
2014-09-07 15:57 dbp Assigned To => dbp
2014-09-07 16:03 git Note Added: 0031435
2014-09-07 16:06 dbp Note Added: 0031436
2014-09-07 16:06 dbp Assigned To dbp => kgv
2014-09-07 16:06 dbp Status new => feedback
2014-09-08 09:21 kgv Assigned To kgv => abv
2014-09-08 09:25 kgv Note Added: 0031437
2014-09-10 08:18 kgv Severity minor => feature
2014-09-10 08:18 kgv Product Version Unscheduled =>
2014-09-10 08:18 kgv Target Version => 6.8.0
2014-09-10 08:18 kgv Summary Visualization: Implementing distance field builder in the Math/BVH package => Visualization - provide distance field builder in the Math/BVH package
2014-09-15 16:10 git Note Added: 0031710
2014-09-15 16:11 dbp Note Added: 0031711
2014-09-15 16:11 dbp Status feedback => resolved
2014-09-25 15:02 dbp Relationship added related to 0025201
2014-10-10 12:31 git Note Added: 0032961
2014-10-10 12:32 dbp Note Added: 0032962
2014-10-17 12:37 abv Target Version 6.8.0 => 7.1.0
2014-12-02 10:56 abv Note Added: 0034903
2014-12-02 10:56 abv Assigned To abv => bugmaster
2014-12-02 10:56 abv Status resolved => reviewed
2014-12-02 11:54 mkv Assigned To bugmaster => mkv
2014-12-02 12:06 git Note Added: 0034908
2014-12-02 15:52 mkv Note Added: 0034931
2014-12-02 15:52 mkv Note Added: 0034932
2014-12-02 15:52 mkv Assigned To mkv => dbp
2014-12-02 15:52 mkv Status reviewed => assigned
2014-12-22 16:58 git Note Added: 0035562
2014-12-22 17:00 dbp Assigned To dbp => bugmaster
2014-12-22 17:00 dbp Status assigned => resolved
2014-12-22 17:00 dbp Steps to Reproduce Updated View Revisions
2014-12-25 14:58 bugmaster Assigned To bugmaster => mkv
2014-12-25 14:58 bugmaster Status resolved => assigned
2014-12-25 14:59 bugmaster Assigned To mkv => kgv
2014-12-25 14:59 bugmaster Status assigned => resolved
2014-12-25 14:59 bugmaster Assigned To kgv => mkv
2014-12-25 14:59 bugmaster Status resolved => reviewed
2014-12-25 17:06 git Note Added: 0035733
2014-12-29 15:09 mkv Note Added: 0035834
2014-12-29 15:09 mkv Assigned To mkv => bugmaster
2014-12-29 15:09 mkv Status reviewed => tested
2014-12-29 15:09 mkv Test case number => Not needed
2015-01-16 13:37 bugmaster Changeset attached => occt master df932fdf
2015-01-16 13:37 bugmaster Status tested => verified
2015-01-16 13:37 bugmaster Resolution open => fixed
2015-01-19 16:23 bugmaster Target Version 7.1.0 => 6.9.0
2015-01-26 12:33 git Note Added: 0036545
2015-01-26 12:38 git Note Added: 0036635
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker